%define upstream_name    Test-BinaryData
%define upstream_version 0.015

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Compare two things, give hex dumps if they differ
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Tester) >= 0.107.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Sometimes using Test::More's 'is' test isn't good enough. Its diagnostics
may make it easy to miss differences between strings.

For example, given two strings which differ only in their line endings, you
can end up with diagnostic output like this:

  not ok 1
  #   Failed test in demo.t at line 8.
  #          got: 'foo
  # bar
  # '
  #     expected: 'foo
  # bar
  # '

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 02 2023 tv <tv> 0.15.0-1.mga9
+ Revision: 1929030
- update to 0.015

* Sun Mar 20 2022 umeabot <umeabot> 0.14.0-9.mga9
+ Revision: 1806084
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.14.0-8.mga8
+ Revision: 1497328
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.14.0-7.mga7
+ Revision: 1271652
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.14.0-6.mga6
+ Revision: 1034105
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.14.0-5.mga6
+ Revision: 949287
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.14.0-4.mga5
+ Revision: 789600
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.14.0-3.mga5
+ Revision: 741317
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.14.0-2.mga5
+ Revision: 686401
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.14.0-1.mga5
+ Revision: 581332
- update to 0.014

* Fri Oct 18 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 515056
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 373357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 kharec <kharec> 0.13.0-1.mga3
+ Revision: 254814
- imported package perl-Test-BinaryData

